summaryrefslogtreecommitdiffstats
path: root/misc/biosdisk
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2010-05-11 22:54:28 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:54:28 +0200
commit37274113c3478150aab06ce3db914f6477f4fda7 (patch)
treeae57732fd32c7a1663d70ac715d51ecfb1e30ec3 /misc/biosdisk
parenta630d7216dbec08a4e30b1a981594428b4a90048 (diff)
downloadslackbuilds-37274113c3478150aab06ce3db914f6477f4fda7.tar.gz
slackbuilds-37274113c3478150aab06ce3db914f6477f4fda7.tar.xz
misc/biosdisk: Added to 12.1 repository
Diffstat (limited to 'misc/biosdisk')
-rw-r--r--misc/biosdisk/README7
-rw-r--r--misc/biosdisk/biosdisk.SlackBuild58
-rw-r--r--misc/biosdisk/biosdisk.info8
-rw-r--r--misc/biosdisk/doinst.sh14
-rw-r--r--misc/biosdisk/slack-desc19
5 files changed, 106 insertions, 0 deletions
diff --git a/misc/biosdisk/README b/misc/biosdisk/README
new file mode 100644
index 0000000000..1451d149fa
--- /dev/null
+++ b/misc/biosdisk/README
@@ -0,0 +1,7 @@
+Those bunch of scripts are creating disk images with freedos and autoexec.bat
+to automatically run the bios .exe.
+
+I suppose is suitable for any update of firmware or BIOS that can run from
+diskette and freeDOS.
+
+You can create with mkisofs cd iso image that contains the floppy image.
diff --git a/misc/biosdisk/biosdisk.SlackBuild b/misc/biosdisk/biosdisk.SlackBuild
new file mode 100644
index 0000000000..94c24342e7
--- /dev/null
+++ b/misc/biosdisk/biosdisk.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+# Slackware build script for <biosdisk>
+# Written by Michales Michaloudes korgie@gmail.com
+# Modified by SlackBuilds.org
+
+# Exit on most errors
+set -e
+
+PRGNAM=biosdisk
+VERSION=0.75
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION-2.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/var/lib/biosdisk
+mkdir -p $PKG/usr/share/biosdisk
+mkdir -p $PKG/etc/
+mkdir -p $PKG/usr/man/man8/
+mkdir -p $PKG/usr/sbin
+
+cd $TMP/$PRGNAM-$VERSION
+install -m 755 biosdisk $PKG/usr/sbin/
+install -m 755 blconf $PKG/usr/sbin/
+install -m 755 geturl $PKG/usr/sbin/
+install -m 644 dosdisk.img $PKG/usr/share/biosdisk/
+install -m 644 biosdisk.conf $PKG/etc/biosdisk.conf.new
+install -m 644 biosdisk.8.gz $PKG/usr/man/man8
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL TODO README README.dosdisk VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/biosdisk/biosdisk.info b/misc/biosdisk/biosdisk.info
new file mode 100644
index 0000000000..b6c164347a
--- /dev/null
+++ b/misc/biosdisk/biosdisk.info
@@ -0,0 +1,8 @@
+PRGNAM="biosdisk"
+VERSION="0.75"
+HOMEPAGE="http://linux.dell.com/biosdisk/"
+DOWNLOAD="http://linux.dell.com/biosdisk/biosdisk-0.75-2.tar.gz"
+MD5SUM="8add054007966fc176042bff92ee417c"
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/misc/biosdisk/doinst.sh b/misc/biosdisk/doinst.sh
new file mode 100644
index 0000000000..c193537931
--- /dev/null
+++ b/misc/biosdisk/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/biosdisk.conf.new
diff --git a/misc/biosdisk/slack-desc b/misc/biosdisk/slack-desc
new file mode 100644
index 0000000000..165d028f1f
--- /dev/null
+++ b/misc/biosdisk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+biosdisk: biosdisk - create bootable BIOS flash images.
+biosdisk:
+biosdisk: biosdisk simplifies the process of flashing your system BIOS under
+biosdisk: Linux on Dell desktops and laptops. The purpose of this utility is to
+biosdisk: create a bootable BIOS flash image using the raw BIOS flash executable
+biosdisk: images (e.g. WS360A05.exe) available from support.dell.com
+biosdisk:
+biosdisk:
+biosdisk:
+biosdisk:
+biosdisk: